image
from0.03 / img
Ideogram 4.0
Generates and edits images with multilingual text for posters, packaging and other graphic layouts.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "ideogram/v4.0", { input: { "prompt": "A cinematic scene at sunset", "aspect_ratio": "1:1", "rendering_speed": "DEFAULT" }, withPolling: true, },); console.log(result);Calling the API
Use ideogram/v4.0 with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "ideogram/v4.0", { input: { "prompt": "A cinematic scene at sunset", "aspect_ratio": "1:1", "rendering_speed": "DEFAULT" }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Write your prompt here
{
"type": "string",
"title": "Prompt",
"maxLength": 2048,
"minLength": 2,
"description": "Write your prompt here"
}image_urlstring · optional
Input image
{
"type": "string",
"title": "Input image",
"format": "uri"
}image_weightinteger · optional
How strongly the output should preserve the input image.
{
"type": "integer",
"title": "Image weight",
"maximum": 100,
"minimum": 1,
"description": "How strongly the output should preserve the input image."
}aspect_ratiostring · optional
Aspect ratio
Options: 1:1, 1:2, 2:1, 2:3, 3:2, 4:5, 5:4, 9:16, 16:9, 5:8, 8:5, 3:4, 4:3, 9:22, 22:9, 9:23, 23:9, 3:8, 8:3, 5:12, 12:5, 1:3, 3:1
Default: "1:1"
{
"enum": [
"1:1",
"1:2",
"2:1",
"2:3",
"3:2",
"4:5",
"5:4",
"9:16",
"16:9",
"5:8",
"8:5",
"3:4",
"4:3",
"9:22",
"22:9",
"9:23",
"23:9",
"3:8",
"8:3",
"5:12",
"12:5",
"1:3",
"3:1"
],
"type": "string",
"title": "Aspect ratio",
"default": "1:1"
}rendering_speedstring · optional
Rendering speed
Options: TURBO, DEFAULT, QUALITY
Default: "DEFAULT"
{
"enum": [
"TURBO",
"DEFAULT",
"QUALITY"
],
"type": "string",
"title": "Rendering speed",
"default": "DEFAULT"
}Price
From $0.0300 per image.
View all pricing